System.Web 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Object System.Web.IHttpModule

The determines whether the current user is permitted access to the requested URL, based on the user or the list of roles that a user is a member of. For information about how the user name is determined, see ASP.NET Authentication. For information about how to manage user roles, see Managing Authorization Using ASP.NET Roles.

Authorization for a user or a role is managed using the authorization configuration element. You can allow or deny a user or a role using the allow or deny subelements, respectively. The allow and deny subelements are interpreted in the order they appear in the configuration. Once an element specifies that access is allowed or denied, the completes its authorization check. For example, the following authorization section from a Web.config file requires users to log on (by denying anonymous users), and then allows only users in the Administrators role to have access. Users not in the Administrators role are denied.

`<authorization> <deny users="?" /> <allow roles="Administrators" /> <deny users="*" /> </authorization>`

A user or role must be specifically denied to refuse the user or role permission to a URL. That is, if the previous example had not specified the <deny users="*" /> element, then all authenticated users would have been allowed access to the requested URL, regardless of what role they were a member of.

Verifies that the user has permission to access the URL requested. This class cannot be inherited.

- Constructor

  This constructor is not intended to be called from application code.

  ASP.NET calls this constructor to create an instance of the class. After calling the constructor, it calls the method to initialize the new object.

  Creates an instance of the class.

  1.0.5000.0
  2.0.0.0
- Method
  2.0.0.0
  System.Boolean `` `` ``

  The method checks to see whether the current user is granted access to the requested file in the Web.config file for the application.

  If the HTTP verb used to make the request is GET, POST, or HEAD, the method checks for read access to the file. If any other verb is used, the checks for read/write access to the file.

  For more information and an example Web.config file, see the class documentation.

  Determines whether the user has access to the requested file.

  true if the current user can access the file; otherwise, false.

  The virtual path to the file. An object representing the current user. The HTTP verb used to make the request.
- Method
  System.Void

  This method is not intended to be called from application code.

  Releases all resources, other than memory, used by the .

  1.0.5000.0
  2.0.0.0
- Method
  System.Void ``

  This method is not intended to be called from application code.

  The method ensures that the is included in the processing of the event.

  Initializes the object.

  The current instance. 1.0.5000.0 2.0.0.0